security/codecrypt - The NetBSD Packages Collection

Post-quantum cryptographic software

This is a GnuPG-like unix program for encryption and signing that uses
only quantum-computer-resistant algorithms:

+ McEliece cryptosystem (compact QC-MDPC variant) for encryption
+ Hash-based Merkle tree algorithm (FMTSeq variant) for digital
signatures

Stream ciphers used:  ChaCha20, XSynd stream cipher, RC4 (for initial
simplicity of implementation)

CRHFs used:
+ Cubehash variants were selected for implementation ease, really
clean design, quite good speed and flexibility of parameter choices.
KeyID's are CUBE256 hashes of serialized public key.
+ ripemd128 for small hashes
+ tiger192 is used as an alternative for Cubehash for 192bit hashes
+ There's always a variant with SHA-256, SHA-384 or SHA-512.

Signature algorithms:
+ FMTSeq with many possibilities and combinations of aforementioned CRHFs

Encryption:
MDPC McEliece on quasi-cyclic matrices - decoding is (slightly)
 vulnerable to timing attacks.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf shells/bash devel/gmake devel/pkgconf

Runtime dependencies

devel/gmp math/fftw security/crypto++ devel/gmp math/fftw

Binary packages

OSArchitectureVersion
NetBSD 8.0i386codecrypt-1.8.tgz
NetBSD 8.0i386codecrypt-1.8.tgz
NetBSD 8.0x86_64codecrypt-1.8.tgz
NetBSD 8.0x86_64codecrypt-1.8.tgz
NetBSD 9.0aarch64codecrypt-1.8.tgz
NetBSD 9.0aarch64codecrypt-1.8.tgz
NetBSD 9.0aarch64codecrypt-1.8.tgz
NetBSD 9.0alphacodecrypt-1.8.tgz
NetBSD 9.0alphacodecrypt-1.8.tgz
NetBSD 9.0alphacodecrypt-1.8.tgz
NetBSD 9.0i386codecrypt-1.8.tgz
NetBSD 9.0i386codecrypt-1.8.tgz
NetBSD 9.0mips64ebcodecrypt-1.8.tgz
NetBSD 9.0mips64ebcodecrypt-1.7.5.tgz
NetBSD 9.0mips64ebcodecrypt-1.8.tgz
NetBSD 9.0mips64ebcodecrypt-1.8.tgz
NetBSD 9.0mips64ebcodecrypt-1.8.tgz
NetBSD 9.0powerpccodecrypt-1.8.tgz
NetBSD 9.0powerpccodecrypt-1.8.tgz
NetBSD 9.0powerpccodecrypt-1.8.tgz
NetBSD 9.0powerpccodecrypt-1.8.tgz
NetBSD 9.0sparc64codecrypt-1.8.tgz
NetBSD 9.0sparc64codecrypt-1.8.tgz
NetBSD 9.0sparc64codecrypt-1.8.tgz
NetBSD 9.0sparccodecrypt-1.8.tgz
NetBSD 9.0sparccodecrypt-1.8.tgz
NetBSD 9.0sparccodecrypt-1.8.tgz
NetBSD 9.0x86_64codecrypt-1.8.tgz
NetBSD 9.0x86_64codecrypt-1.8.tgz
NetBSD 9.0x86_64codecrypt-1.8.tgz
NetBSD 9.0x86_64codecrypt-1.8.tgz
NetBSD 9.0x86_64codecrypt-1.8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.